#!/bin/bash

name="Kevin"

if [ $name == "Kevin" ]
  then echo "Hello, $name"
fi

#########################################################################


PARENT_PATH=$( cd "$(dirname "${BASH_SOURCE[0]}")" ; pwd -P )

for file in *
do
  echo "File ${file^^}"
  [[ -f $file ]] && cp $file /tmp/${file^^}
done

##########################################################################

#!/bin/bash

declare -i totalhours=0
while read LINE
do
  billFlag=$(echo $LINE | awk -F, '{ print $7 }')
  hours=$(echo $LINE | awk -F, '{ print $8}')
  [[ $billFlag == "Y" ]] && totalhours=$(( $totalhours + $hours ))
done < ./timesheet.csv

echo "Total hours: $totalhours"

##########################################################################

#!/bin/bash


declare -i totalhours=0
while read LINE
do
   IFS=, read -r start end name email project country billFlag hours <<< "${LINE}"
   #hours=$(echo $LINE | awk -F, '{print $8}')
   [[ $billFlag == "Y" ]] && totalhours=$(( $totalhours + $hours ))
done < ./timesheet.csv
echo "Total hours $totalhours"

